# Deriv

class `psi4.core.``Deriv`

  Bases: `pybind11_builtins.pybind11_object`

  Computes gradients of wavefunctions

  Methods Summary

  `compute`(self) | Compute the gradient
  `set_deriv_density_backtransformed`(self, val) | Is the deriv_density already backtransformed? Default is False
  `set_ignore_reference`(self, val) | Ignore reference contributions to the gradient? Default is False
  `set_tpdm_presorted`(self, val) | Is the TPDM already presorted? Default is False

  Methods Documentation

  `compute`(self: psi4.core.Deriv) → psi4.core.Matrix

    Compute the gradient

  `set_deriv_density_backtransformed`(self: psi4.core.Deriv, val: bool=False) → None

    Is the deriv_density already backtransformed? Default is False

  `set_ignore_reference`(self: psi4.core.Deriv, val: bool=False) → None

    Ignore reference contributions to the gradient? Default is False

  `set_tpdm_presorted`(self: psi4.core.Deriv, val: bool=False) → None

    Is the TPDM already presorted? Default is False

  `compute`(self: psi4.core.Deriv) → psi4.core.Matrix

    Compute the gradient

  `set_deriv_density_backtransformed`(self: psi4.core.Deriv, val: bool=False) → None

    Is the deriv_density already backtransformed? Default is False

  `set_ignore_reference`(self: psi4.core.Deriv, val: bool=False) → None

    Ignore reference contributions to the gradient? Default is False

  `set_tpdm_presorted`(self: psi4.core.Deriv, val: bool=False) → None

    Is the TPDM already presorted? Default is False